Subject: Re: X server hangs when adding fonts server
From: Christopher Faylor <[email-masked]>
To: Tzafrir Cohen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 16 Jan 2002 13:40:04 -0500

This must be a new record.

This is the WRONG MAILING LIST.

I've redirected your request to the proper mailing list.

cgf

On Wed, Jan 16, 2002 at 08:37:22PM +0200, Tzafrir Cohen wrote:
>Hi
>
>I'm using standard cygwin (1.3.6) with XFree 4.1.0 and test server 53 (I'm
>not totally sure. Anyway, its size is 3,045,888 ). The system is NT 4,
>service-pack 6.
>
>The X server hangs (100% CPU) whenever I try to add a different fonts
>server to the font path (adding an additional dir works fine).
>
>I tried several different servers, and they seem to give the same result.
>
>Any idea what it is? Any additional information is required?
>
>FWIW, here is a part of the loop the X server is in (when run under
>strace):
>
> 6060 107726020 [main] X 47 cygwin_select: 6, 0x22F954, 0x0, 0x0, 0x22F94C
> 9424 107735444 [main] X 47 dtable::select_read: /dev/streamsocket fd 5
> 5331 107740775 [main] X 47 cygwin_select: to->tv_sec 0, to->tv_usec 0, ms 0
> 5424 107746199 [main] X 47 cygwin_select: sel.always_ready 0
> 4999 107751198 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5400 107756598 [main] X 47 socket_cleanup: si 0x0 si->thread 0x0
> 4976 107761574 [main] X 47 socket_cleanup: returning
> 5322 107766896 [main] X 47 peek_socket: considering handle 0x150
> 4945 107771841 [main] X 47 peek_socket: adding read fd_set /dev/streamsocket, fd 5
> 5489 107777330 [main] X 47 peek_socket: WINSOCK_SELECT returned 0
>10200 107787530 [main] X 47 select_stuff::poll: returning 0
> 5615 107793145 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 4897 107798042 [main] X 47 select_stuff::~select_stuff: deleting select records
>
> 5749 107803791 [main] X 47 cygwin_select: 7, 0x22F954, 0x0, 0x0, 0x22F94C
>10324 107814115 [main] X 47 dtable::select_read: /dev/streamsocket fd 6
> 4965 107819080 [main] X 47 cygwin_select: to->tv_sec 0, to->tv_usec 0, ms 0
> 5345 107824425 [main] X 47 cygwin_select: sel.always_ready 0
> 5079 107829504 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5517 107835021 [main] X 47 socket_cleanup: si 0x0 si->thread 0x0
> 5411 107840432 [main] X 47 socket_cleanup: returning
> 4909 107845341 [main] X 47 peek_socket: considering handle 0x70
> 5561 107850902 [main] X 47 peek_socket: adding read fd_set /dev/streamsocket, fd 6
> 5052 107855954 [main] X 47 peek_socket: WINSOCK_SELECT returned 1
>10418 107866372 [main] X 47 set_bits: me 0xA18F3E0, testing fd 6 (/dev/streamsocket)
> 5475 107871847 [main] X 47 set_bits: ready 1
> 4823 107876670 [main] X 47 select_stuff::poll: returning 1
>10875 107887545 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5049 107892594 [main] X 47 select_stuff::~select_stuff: deleting select records
>
> 5581 107898175 [main] X 47 cygwin_select: 8, 0x22F954, 0x0, 0x0, 0x22F94C
>10419 107908594 [main] X 47 dtable::select_read: /dev/streamsocket fd 7
> 4903 107913497 [main] X 47 cygwin_select: to->tv_sec 0, to->tv_usec 0, ms 0
> 5424 107918921 [main] X 47 cygwin_select: sel.always_ready 0
> 5082 107924003 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5483 107929486 [main] X 47 socket_cleanup: si 0x0 si->thread 0x0
> 5381 107934867 [main] X 47 socket_cleanup: returning
> 5058 107939925 [main] X 47 peek_socket: considering handle 0x1AC
> 5407 107945332 [main] X 47 peek_socket: adding read fd_set /dev/streamsocket, fd 7
> 5222 107950554 [main] X 47 peek_socket: WINSOCK_SELECT returned 1
>10270 107960824 [main] X 47 set_bits: me 0xA18F3E0, testing fd 7 (/dev/streamsocket)
> 5488 107966312 [main] X 47 set_bits: ready 1
> 5001 107971313 [main] X 47 select_stuff::poll: returning 1
>10770 107982083 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 4977 107987060 [main] X 47 select_stuff::~select_stuff: deleting select records
>
> 5765 107992825 [main] X 47 cygwin_select: 255, 0x70503C, 0x0, 0x0, 0x22F9CC
>10313 108003138 [main] X 47 dtable::select_read: /dev/tcp fd 0
> 4954 108008092 [main] X 47 dtable::select_read: /dev/streamsocket fd 1
> 6060 107726020 [main] X 47 cygwin_select: 6, 0x22F954, 0x0, 0x0, 0x22F94C
> 9424 107735444 [main] X 47 dtable::select_read: /dev/streamsocket fd 5
> 5331 107740775 [main] X 47 cygwin_select: to->tv_sec 0, to->tv_usec 0, ms 0
> 5424 107746199 [main] X 47 cygwin_select: sel.always_ready 0
> 4999 107751198 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5400 107756598 [main] X 47 socket_cleanup: si 0x0 si->thread 0x0
> 4976 107761574 [main] X 47 socket_cleanup: returning
> 5322 107766896 [main] X 47 peek_socket: considering handle 0x150
> 4945 107771841 [main] X 47 peek_socket: adding read fd_set /dev/streamsocket, fd 5
> 5489 107777330 [main] X 47 peek_socket: WINSOCK_SELECT returned 0
>10200 107787530 [main] X 47 select_stuff::poll: returning 0
> 5615 107793145 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 4897 107798042 [main] X 47 select_stuff::~select_stuff: deleting select records
>
> 5749 107803791 [main] X 47 cygwin_select: 7, 0x22F954, 0x0, 0x0, 0x22F94C
>10324 107814115 [main] X 47 dtable::select_read: /dev/streamsocket fd 6
> 4965 107819080 [main] X 47 cygwin_select: to->tv_sec 0, to->tv_usec 0, ms 0
> 5345 107824425 [main] X 47 cygwin_select: sel.always_ready 0
> 5079 107829504 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5517 107835021 [main] X 47 socket_cleanup: si 0x0 si->thread 0x0
> 5411 107840432 [main] X 47 socket_cleanup: returning
> 4909 107845341 [main] X 47 peek_socket: considering handle 0x70
> 5561 107850902 [main] X 47 peek_socket: adding read fd_set /dev/streamsocket, fd 6
> 5052 107855954 [main] X 47 peek_socket: WINSOCK_SELECT returned 1
>10418 107866372 [main] X 47 set_bits: me 0xA18F3E0, testing fd 6 (/dev/streamsocket)
> 5475 107871847 [main] X 47 set_bits: ready 1
> 4823 107876670 [main] X 47 select_stuff::poll: returning 1
>10875 107887545 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5049 107892594 [main] X 47 select_stuff::~select_stuff: deleting select records
>
> 5581 107898175 [main] X 47 cygwin_select: 8, 0x22F954, 0x0, 0x0, 0x22F94C
>10419 107908594 [main] X 47 dtable::select_read: /dev/streamsocket fd 7
> 4903 107913497 [main] X 47 cygwin_select: to->tv_sec 0, to->tv_usec 0, ms 0
> 5424 107918921 [main] X 47 cygwin_select: sel.always_ready 0
> 5082 107924003 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 5483 107929486 [main] X 47 socket_cleanup: si 0x0 si->thread 0x0
> 5381 107934867 [main] X 47 socket_cleanup: returning
> 5058 107939925 [main] X 47 peek_socket: considering handle 0x1AC
> 5407 107945332 [main] X 47 peek_socket: adding read fd_set /dev/streamsocket, fd 7
> 5222 107950554 [main] X 47 peek_socket: WINSOCK_SELECT returned 1
>10270 107960824 [main] X 47 set_bits: me 0xA18F3E0, testing fd 7 (/dev/streamsocket)
> 5488 107966312 [main] X 47 set_bits: ready 1
> 5001 107971313 [main] X 47 select_stuff::poll: returning 1
>10770 107982083 [main] X 47 select_stuff::cleanup: calling cleanup routines
> 4977 107987060 [main] X 47 select_stuff::~select_stuff: deleting select records
>
> 5765 107992825 [main] X 47 cygwin_select: 255, 0x70503C, 0x0, 0x0, 0x22F9CC
>10313 108003138 [main] X 47 dtable::select_read: /dev/tcp fd 0
> 4954 108008092 [main] X 47 dtable::select_read: /dev/streamsocket fd 1
>
>
>-- 
>Tzafrir Cohen                        /"\
>mailto:[email-masked]        \ /  ASCII Ribbon Campaign
>Taub 229, 972-4-829-3942,             X   Against  HTML  Mail
>http://www.technion.ac.il/~tzafrir   / \

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/